const bool use_color = false;

#pragma MSP stage(vertex)
layout(location=0) in vec4 position;
layout(location=1) in vec4 color;
void main()
{
	gl_Position = position;
	passthrough;
}

#pragma MSP stage(fragment)
layout(location=0) out vec4 frag_color;
void main()
{
	if(use_color)
		frag_color = color;
	else
		frag_color = vec4(1.0);
}

/* Expected output: vertex
layout(location=0) in vec4 position;
void main()
{
	gl_Position = position;
}
*/

/* Expected output: fragment
layout(location=0) out vec4 frag_color;
void main()
{
	frag_color = vec4(1.0);
}
*/
